Update template settings
curl --request PATCH \
--url https://api.atlaswork.ai/api/v1/templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"namePattern": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', namePattern: '<string>'})
};
fetch('https://api.atlaswork.ai/api/v1/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlaswork.ai/api/v1/templates/{id}"
payload = {
"name": "<string>",
"namePattern": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"organizationId": "<string>",
"teamId": "<string>",
"name": "<string>",
"namePattern": "<string>",
"originalFilename": "<string>",
"sourceFormat": "<string>",
"contentHash": "<string>",
"sizeBytes": 123,
"archivedAt": "2023-11-07T05:31:56Z",
"useCount": 1,
"lastUsedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"details": {}
}{
"code": "<string>",
"message": "<string>",
"details": {}
}{
"code": "<string>",
"message": "<string>",
"details": {}
}Templates
Update template settings
Renames the template and/or sets its envelope name pattern. The pattern is resolved on every send into the envelope's default display name (an explicit displayName on the send still wins) and never changes existing envelopes. Tokens: {template_name}, {recipient_name}, {recipient_company}, {recipient_email}, {recipient_title}, {sender_org}, {sender_name}, {date} or {date:YYYY-MM}, {prefill:<prefill key>}, {role:<api role name>.<name|email|company|title>}. Pass namePattern: null to clear it.
PATCH
/
api
/
v1
/
templates
/
{id}
Update template settings
curl --request PATCH \
--url https://api.atlaswork.ai/api/v1/templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"namePattern": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', namePattern: '<string>'})
};
fetch('https://api.atlaswork.ai/api/v1/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlaswork.ai/api/v1/templates/{id}"
payload = {
"name": "<string>",
"namePattern": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"organizationId": "<string>",
"teamId": "<string>",
"name": "<string>",
"namePattern": "<string>",
"originalFilename": "<string>",
"sourceFormat": "<string>",
"contentHash": "<string>",
"sizeBytes": 123,
"archivedAt": "2023-11-07T05:31:56Z",
"useCount": 1,
"lastUsedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"details": {}
}{
"code": "<string>",
"message": "<string>",
"details": {}
}{
"code": "<string>",
"message": "<string>",
"details": {}
}Authorizations
apiKeyoauthJwt
Organization API key (format atlas_sk_...), passed as a bearer token or the x-api-key header. Created and revoked in the dashboard (Better Auth api-key plugin); shown in full only once and stored hashed.
Path Parameters
Template id
Minimum string length:
1Body
application/json
Response
Updated template
Required range:
x >= 0